=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtcharts-everywhere-src-(.*)\.tar\.xz
