=== debian/control ===
Source: qt6-charts
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-multimedia-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-charts.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-charts
Maintainer: Neon CI <neon@kde.org>

Package: qt6-charts
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6charts6, libqt6chartsqml6
Description: Qt 6 charts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt 6 Charts.

Package: qt6-charts-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-charts (= ${binary:Version}),
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6charts6-dev (<< 6.3.1-3~)
Replaces: libqt6charts6-dev, qml6-module-qtcharts, qt6-charts-examples
Description: Qt 6 charts - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header development files used for building Qt 6
 applications using QtCharts.

Package: qt6-charts-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-charts-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-charts-doc-html
Description: Qt 6 charts - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header documentation used to help build Qt 6
 applications using QtCharts.

Package: libqt6charts6
Architecture: all
Depends: qt6-charts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6chartsqml6
Architecture: all
Depends: qt6-charts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtcharts
Architecture: all
Depends: qt6-charts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-charts-doc-html
Architecture: all
Depends: qt6-charts-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-charts-examples
Architecture: all
Depends: qt6-charts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
